Subject: [bug#71640] yt-dlp: Update to 2024-05-27

From: Leo Famulari <[email-masked]>
Date: Thu, 27 Jun 2024 13:05:28 -0400

On Sun, Jun 23, 2024 at 09:58:13PM -0400, Maxim Cournoyer wrote:
> > +                  python-requests-next ; TODO Remove this special package
> > +                  python-urllib3-next  ; TODO Remove this one too
> 
> That's OK only because that's an application and these inputs are not
> propagated.  I'm a bit worried the '-next' variants may be used by
> packagers elsewhere, but I guess this means we should give the
> python-team branch a spin.

I could make the packages hidden. Is there a better approach?

> Also, I see you haven't used inheritance anywhere; I guess that's to
> make the transition to the latest package as painful as possible
> (simply deleting the old definitions).

For me, using inheritance is painful, and this is relatively painless.